package kr.co.hanwha.hifive.admin.network.model;

import android.text.TextUtils;

import kr.co.hanwha.hifive.admin.network.MemberStatusCode;

/**
 * Created by sanghoonkwon on 2018. 3. 9..
 */

public class AdminMemberHrInfo {
    int id;
    String name;
    String company;
    String department;
    /**
     * 0: 정상, 10: 신규 등록 대기, 20: 삭제, 30: 이용 중지
     *
     * @see MemberStatusCode
     */
    int status;
    boolean deleted;

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getCompany() {
        return (TextUtils.isEmpty(company) ? "" : company);
    }

    public String getDepartment() {
        return (TextUtils.isEmpty(department) ? "" : department);
    }

    public int getStatus() {
        return status;
    }

    public boolean isDeleted() {
        return deleted;
    }
}

/*
{
    "id": 1,
    "name": "개발테스트",
    "company": null,
    "department": null,
    "status": 20,
    "deleted": true
}
*/